package controllers

import (
	"exhibitionCentre/base"
	"exhibitionCentre/logging"
	"exhibitionCentre/utils"
	"text/template"
)

func Home(router *base.Router) (int, []byte) {
	// 加载网站Home页面
	page, err := template.ParseFiles("./view/html/tourist/index.html")
	if err != nil {
		logging.Log.Error("加载Home页面失败: ", err.Error())
		return 404, utils.SerializeErrorData("")
	}
	page.Execute(router.Writer, nil)
	return 200, nil
}

func ModelTest(router *base.Router) (int, []byte) {
	// 加载网站Home页面
	page, err := template.ParseFiles("./resources/webgl/index.html")
	if err != nil {
		logging.Log.Error("加载Home页面失败: ", err.Error())
		return 404, utils.SerializeErrorData("")
	}
	page.Execute(router.Writer, nil)
	return 200, nil
}
